# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Parse.pm) perl(DateTime.pm) perl(Error.pm) perl(Error/Simple.pm) perl(Exporter.pm) perl(File/MkTemp.pm) perl(HTTP/Date.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Net/Twitter.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Time/Local.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.1.3
%define module_name Twitter-Daily
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.3
Release: alt1
Summary: Twitter Daily News read your twitter timeline and stores them into your favorite blog.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BI/BITMAN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This package contains the very Twitter::Daily core and coordinates Twitter
timeline retrieval and blog publishing

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}
rm -f t/[0-9][-_]kwalitee.t t/[0-9][0-9][-_]kwalitee.t t/[0-9]kwalitee.t t/[0-9][0-9]kwalitee.t t/kwalitee.t

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes TODO
%perl_vendor_privlib/T*
%perl_vendor_privlib/B*

%files scripts
%_bindir/*

%changelog
* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.3-alt1
- initial import by package builder

